Skip to main content
GET
/
datasets
/
tags
List Knowledge Tags
curl --request GET \
  --url https://{api_base_url}/datasets/tags \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_base_url}/datasets/tags"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_base_url}/datasets/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "f4b5c6d7-e8f9-0a1b-2c3d-4e5f6a7b8c9d",
    "name": "Product Docs",
    "type": "knowledge",
    "binding_count": "0"
  }
]

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Response

200 - application/json

List of tags.

id
string

Tag identifier.

name
string

Tag display name.

type
string

Tag type. Always knowledge for knowledge base tags.

binding_count
string | null

Number of knowledge bases bound to this tag.

Last modified on July 9, 2026